Subject: RE: ASN or ABNF

From: "Rosen, Brian" <[email-masked]>
Date: Tue, 24 Apr 2001 08:00:15 -0400

Yeah, I forgot that.  I did an early implementation that used the first byte
to determine encoding.  The port is the right way.

Brian

> -----Original Message-----
> From: Goel, Mukesh [mailto:[email-masked]]
> Sent: Monday, April 23, 2001 1:42 PM
> To: [email-masked]'
> Subject: RE: ASN or ABNF
> 
> 
> Hi Brian, others,
> 
> Isn't the encoding scheme decision based on the
> port number that MGC receives ServiceChnage on.
> 
> 2944 for ABNF and
> 2945 for ASN.
> Reference "Section 9. Transport" of RFC 3015
> 
> Mukesh
> 
> -----Original Message-----
> From: Rosen, Brian [mailto:[email-masked]]
> Sent: Monday, April 23, 2001 10:08 AM
> To: 'Sivakoti, Suresh'; [email-masked]'
> Subject: RE: ASN or ABNF
> 
> 
> This question belongs on the main megaco mail list
> 
> The answer is that you figure it out from the first message 
> (ServiceChange).
> You can figure it out from the first byte of the first message.
> Nearly all implementations use text.  A small number of 
> implementations
> use text and binary.  I saw one implementation of an MG that 
> was binary
> only,
> but I suspect they have added text since then.
> 
> Brian
> 
> 
> > -----Original Message-----
> > From: Sivakoti, Suresh [mailto:[email-masked]]
> > Sent: Monday, April 23, 2001 12:16 PM
> > To: [email-masked]
> > Subject: ASN or ABNF
> > 
> > 
> > RFC-3015  section 7.2.1o specifies that MGC should support 
> > both ASN and
> > ABNF, where as MGs may support both. I intrepret this 
> > statement as MGs does
> > not need to support both formats, If they support either format.
> > 
> > In this case, how does MG lets MGC about the protocol 
> > encoding/decoding it
> > is currently using in the serviceChange Request ?.
> > Is there a rule that says support for ABNF is mandatory for 
> > MGs and ASN is
> > optional or vice-versa. If there is no such restrction, then 
> > what is the
> > popular choice of  protocol encoding for MGs ?.
> > Is there a possibilty that MG changes protocol encoding from 
> > ASN<--->ABNF
> > durinng active session ( without serviceChange request).
> > 
> > What are the current practices of implementing parser for 
> > Megaco, is it one
> > for text and one for ASN ?.
> > 
> > Is there any sample data available to evaluate parsers 
> > implementation ?.
> > 
> > the above questions might have obvious answers but not for 
> > me, as I just
> > started to working on implementing a MGC.
> > 
> > Thanks for your support.
> > 
> > Suresh Sivakoti
> >  
> > 
>